Bug 693610 - Server Configuration/Admin Email Address is badly named
Server Configuration/Admin Email Address is badly named
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3-alpha-1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On: 742083
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 01:07 EDT by Kenichi Takemura
Modified: 2014-08-04 18:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.4.3-SNAPSHOT (20111109-1535)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenichi Takemura 2011-04-05 01:07:57 EDT
Description of problem:

I have changed Administrator Email address in Server Configuration menu. But when I click 'Manage Maintainers' in a project created, the administrator's email is 'admin@example.dom'
    
Version-Release number of selected component (if applicable):

1.3-plpha-1
    
How reproducible:

Always
    
Steps to Reproduce:

1. Login Zanata using admin account.
2. Configure administrator's email in Server Configuration.
3. Complete creating a project.
4. Click 'Manage Maintainers' in the project.
    
Actual results:

The administrator's email is the system default values.
    
Expected results:

The administrator's email is consistent in the system.
    
Additional info:

No.
Comment 1 Sean Flanigan 2011-04-05 02:08:35 EDT
As you've discovered, these are really two different things.  We should probably rename the field which appears in Server Configuration.  That email address is the "From address" used when Zanata has to send an email, ie a system message.  A typical value would be noreply@example.com.

The other address, seen when managing maintainers, is used as the "To address" when Zanata has to send an email to that particular user.
Comment 2 Sean Flanigan 2011-09-07 00:33:46 EDT
Assigning to Scrum product owner for prioritisation.
Comment 3 David Mason 2011-10-06 22:45:31 EDT
This will be fixed with https://bugzilla.redhat.com/show_bug.cgi?id=742083
Comment 4 David Mason 2011-11-08 02:42:53 EST
Modified in 1.4 and 1.5
Comment 5 Ding-Yi Chen 2011-11-09 02:16:21 EST
Verified with:
Zanata version 1.4.3-SNAPSHOT (20111109-1535)
and 
Zanata version 1.5-SNAPSHOT (20111109-1615)

Note You need to log in before you can comment on or make changes to this bug.